%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check

%global crate routinator-ui

Name:           rust-routinator-ui
Version:        0.3.4
Release:    1%{?dist}
Summary:        Web UI for Routinator, a RPKI relying party software

License:        BSD-3-Clause
URL:            https://crates.io/crates/routinator-ui
Source0:         %{crates_source}
Source1:         https://github.com/NLnetLabs/routinator-ui/releases/download/v%{version}/routinator-ui-build.tar.gz
Source2:         https://github.com/NLnetLabs/routinator-ui/raw/v0.3.4/LICENSE
Patch:          routinator-ui-override-srcdir.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Web UI for Routinator, a RPKI relying party software.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        BSD-3-Clause

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/routinator-ui

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
cp -p %{SOURCE2} .
mkdir dist
tar -C dist -xf %{SOURCE1}
cp -p %{SOURCE2} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.4-1
- initial build
